nvme_get_telemetry_log(2)

NAME
nvme_get_telemetry_log - Get specified telemetry log

SYNOPSIS
int nvme_get_telemetry_log (int fd , bool create , bool ctrl , bool rae , size_t max_data_tx , enum nvme_telemetry_da da , struct nvme_telemetry_log **log , size_t *size );

ARGUMENTS

fd  File descriptor of nvme device

create
    Generate new host initated telemetry capture

ctrl
    Get controller Initiated log

rae Retain asynchronous events

max_data_tx
    Set the max data transfer size to be used retrieving telemetry.

da  Log page data area, valid values: enum nvme_telemetry_da.

log On success, set to the value of the allocated and retrieved log.

size
    Ptr to the telemetry log size, so it can be returned

DESCRIPTION
The total size allocated can be calculated as: (nvme_telemetry_log da size + 1) * NVME_LOG_TELEM_BLOCK_SIZE.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.